Ticket #24513: traceback.txt

File traceback.txt, 5.9 KB (added by Christopher Schäpers, 4 years ago)

Traceback

Line 
1(testenv)kondou:project/ (master) $ ./manage.py test --verbosity=2
2Creating test database for alias 'default' ('file:memorydb_default?mode=memory&cache=shared')...
3Operations to perform:
4  Synchronize unmigrated apps: loaddata_incremental, messages, staticfiles
5  Apply all migrations: auth, captcha, project, sessions, contenttypes
6Synchronizing apps without migrations:
7  Creating tables...
8    Running deferred SQL...
9  Installing custom SQL...
10Running migrations:
11  Rendering model states... DONE
12  Applying contenttypes.0001_initial... OK
13  Applying contenttypes.0002_remove_content_type_name... OK
14  Applying auth.0001_initial... OK
15  Applying auth.0002_alter_permission_name_max_length... OK
16  Applying auth.0003_alter_user_email_max_length... OK
17  Applying auth.0004_alter_user_username_opts... OK
18  Applying auth.0005_alter_user_last_login_null... OK
19  Applying auth.0006_require_contenttypes_0002... OK
20  Applying captcha.0001_initial... OK
21  Applying project.0001_initial... OK
22  Applying project.0003_auto_20140905_1729... OK
23  Applying project.0004_auto_20140910_0606... OK
24  Applying project.0005_gallerys_thumbnail... OK
25  Applying project.0006_gallerys_rating... OK
26  Applying project.0007_gallerys_views... OK
27  Applying project.0008_auto_20140911_0304... OK
28  Applying project.0009_auto_20140911_0355... OK
29  Applying project.0010_auto_20140914_0231... OK
30  Applying project.0011_auto_20140914_2032...Traceback (most recent call last):
31  File "/home/kondou/testenv/lib/python3.4/site-packages/django/db/models/options.py", line 552, in get_field
32    return self.fields_map[field_name]
33KeyError: None
34
35During handling of the above exception, another exception occurred:
36
37Traceback (most recent call last):
38  File "./manage.py", line 10, in <module>
39    execute_from_command_line(sys.argv)
40  File "/home/kondou/testenv/lib/python3.4/site-packages/django/core/management/__init__.py", line 338, in execute_from_command_line
41    utility.execute()
42  File "/home/kondou/testenv/lib/python3.4/site-packages/django/core/management/__init__.py", line 330, in execute
43    self.fetch_command(subcommand).run_from_argv(self.argv)
44  File "/home/kondou/testenv/lib/python3.4/site-packages/django/core/management/commands/test.py", line 30, in run_from_argv
45    super(Command, self).run_from_argv(argv)
46  File "/home/kondou/testenv/lib/python3.4/site-packages/django/core/management/base.py", line 390, in run_from_argv
47    self.execute(*args, **cmd_options)
48  File "/home/kondou/testenv/lib/python3.4/site-packages/django/core/management/commands/test.py", line 74, in execute
49    super(Command, self).execute(*args, **options)
50  File "/home/kondou/testenv/lib/python3.4/site-packages/django/core/management/base.py", line 441, in execute
51    output = self.handle(*args, **options)
52  File "/home/kondou/testenv/lib/python3.4/site-packages/django/core/management/commands/test.py", line 90, in handle
53    failures = test_runner.run_tests(test_labels)
54  File "/home/kondou/testenv/lib/python3.4/site-packages/django/test/runner.py", line 210, in run_tests
55    old_config = self.setup_databases()
56  File "/home/kondou/testenv/lib/python3.4/site-packages/django/test/runner.py", line 166, in setup_databases
57    **kwargs
58  File "/home/kondou/testenv/lib/python3.4/site-packages/django/test/runner.py", line 370, in setup_databases
59    serialize=connection.settings_dict.get("TEST", {}).get("SERIALIZE", True),
60  File "/home/kondou/testenv/lib/python3.4/site-packages/django/db/backends/base/creation.py", line 368, in create_test_db
61    test_flush=True,
62  File "/home/kondou/testenv/lib/python3.4/site-packages/django/core/management/__init__.py", line 120, in call_command
63    return command.execute(*args, **defaults)
64  File "/home/kondou/testenv/lib/python3.4/site-packages/django/core/management/base.py", line 441, in execute
65    output = self.handle(*args, **options)
66  File "/home/kondou/testenv/lib/python3.4/site-packages/django/core/management/commands/migrate.py", line 221, in handle
67    executor.migrate(targets, plan, fake=fake, fake_initial=fake_initial)
68  File "/home/kondou/testenv/lib/python3.4/site-packages/django/db/migrations/executor.py", line 94, in migrate
69    self.apply_migration(states[migration], migration, fake=fake, fake_initial=fake_initial)
70  File "/home/kondou/testenv/lib/python3.4/site-packages/django/db/migrations/executor.py", line 131, in apply_migration
71    state = migration.apply(state, schema_editor)
72  File "/home/kondou/testenv/lib/python3.4/site-packages/django/db/migrations/migration.py", line 111, in apply
73    operation.database_forwards(self.app_label, schema_editor, old_state, project_state)
74  File "/home/kondou/testenv/lib/python3.4/site-packages/django/db/migrations/operations/fields.py", line 201, in database_forwards
75    schema_editor.alter_field(from_model, from_field, to_field)
76  File "/home/kondou/testenv/lib/python3.4/site-packages/django/db/backends/base/schema.py", line 469, in alter_field
77    return self._alter_many_to_many(model, old_field, new_field, strict)
78  File "/home/kondou/testenv/lib/python3.4/site-packages/django/db/backends/sqlite3/schema.py", line 232, in _alter_many_to_many
79    override_uniques=(new_field.m2m_field_name(), new_field.m2m_reverse_field_name()),
80  File "/home/kondou/testenv/lib/python3.4/site-packages/django/db/backends/sqlite3/schema.py", line 137, in _remake_table
81    self.create_model(temp_model)
82  File "/home/kondou/testenv/lib/python3.4/site-packages/django/db/backends/base/schema.py", line 268, in create_model
83    columns = [model._meta.get_field(field).column for field in fields]
84  File "/home/kondou/testenv/lib/python3.4/site-packages/django/db/backends/base/schema.py", line 268, in <listcomp>
85    columns = [model._meta.get_field(field).column for field in fields]
86  File "/home/kondou/testenv/lib/python3.4/site-packages/django/db/models/options.py", line 554, in get_field
87    raise FieldDoesNotExist('%s has no field named %r' % (self.object_name, field_name))
88django.core.exceptions.FieldDoesNotExist: User_groups has no field named None
Back to Top